Jump to content

Recommended Posts

Posted

Hello Im eager to know where in command "array" where do we include angle of array .

 

 

 

 

 

(command "_array" primo "" "r" (fix(atof Nubrsprk)) (fix(atof Numbr)) sdist ldist  )

 

Thanks

Posted

ARRAY uses orthogonatal ( 0 & 90 ) degrees of the current UCS for rectangular arrays. A work around is to rotate the UCS about the Z axis -David

array.gif

Posted (edited)

use the snap angle variable

 

here is a quick array lisp you can use to get what your looking for.

 

save the old snap angle and return when done.

 

 
(defun c:QARRAY (/)
(setq echo (getvar "cmdecho")
osm (getvar "osmode")
snpang (getvar "snapang")
)
(setvar "cmdecho" 0)
(setq SS (SSGET)
pt1 (getpoint "\n Pick starting point of array: ")
pt2 (getpoint "\n Pick ending point of array: " pt1)
rotangle (angle pt1 pt2)
offsetdist (getreal "\n Offset distance: ")
copytimes (+ 1 (fix (/ (distance pt1 pt2) offsetdist)))
)
(setvar "osmode" 0)
(setvar "snapang" rotangle)
(command "array" ss "" "R" "1" copytimes offsetdist)
(setvar "cmdecho" echo)
(setvar "osmode" osm)
(setvar "snapang" snpang)
(setq echo nil
osm nil
snpang nil
ss nil
pt1 nil
pt2 nil
rotangle nil
offsetdist nil
copytimes nil 
)
(princ)
)

Edited by qzeek
code tags

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Unfortunately, your content contains terms that we do not allow. Please edit your content to remove the highlighted words below.
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...